Fetches list of files and folders from the media storage

http
GET https://services.leadconnectorhq.com/medias/files

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Query parameters

NameTypeRequiredExampleDescription
offsetstringNo5Number of files to skip in listing
limitstringNo10Number of files to show in the listing
sortBystringYescreatedAtField to sorting the file listing by
sortOrderstringYesascDirection in which file needs to be sorted
typestringYesfileType
querystringNoTest fileQuery text
altTypestringYesaccountAltType
altIdstringYesaccount Id
parentIdstringNoparent id or folder id
fetchAllstringNofalseFetch all files or folders

Responses

200 - Successful response
  • files (string[], required): Array of File Objects

json
{
  "files": {
    "altId": "locationId",
    "altType": "account",
    "name": "file name",
    "parentId": "parent folder id",
    "url": "file url",
    "path": "file path"
  }
}

Example

curl -X GET 'https://services.leadconnectorhq.com/medias/files' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28'

Last updated October 26, 2026

Was this page helpful?